curl --request POST \
--url https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"amount": "0.01000000"
}
'import requests
url = "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees"
payload = {
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"amount": "0.01000000"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({method_id: '2fa11f79-eeba-4d4e-afda-029abff6e29e', amount: '0.01000000'})
};
fetch('https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '2fa11f79-eeba-4d4e-afda-029abff6e29e',
'amount' => '0.01000000'
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees"
payload := strings.NewReader("{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00005000"
},
"gross_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.01000000"
},
"net_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00995000"
},
"fee_token": "sMBfm8D9i3TqR-k1zP2cX7vL0nH5aJ4u"
}
}Calculate funding fees
Calculates a fee quote for a gross amount using one deposit or withdrawal method. Each request creates a new quote and moves no funds.
curl --request POST \
--url https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"amount": "0.01000000"
}
'import requests
url = "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees"
payload = {
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"amount": "0.01000000"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({method_id: '2fa11f79-eeba-4d4e-afda-029abff6e29e', amount: '0.01000000'})
};
fetch('https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '2fa11f79-eeba-4d4e-afda-029abff6e29e',
'amount' => '0.01000000'
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees"
payload := strings.NewReader("{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.services.payward.com/v1/accounts/{account_id}/funds/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"2fa11f79-eeba-4d4e-afda-029abff6e29e\",\n \"amount\": \"0.01000000\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00005000"
},
"gross_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.01000000"
},
"net_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00995000"
},
"fee_token": "sMBfm8D9i3TqR-k1zP2cX7vL0nH5aJ4u"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for an account.
14 - 42Body
Deposit or withdrawal funding method and gross amount for which to create a fee quote.
Funding method identifier returned as id by List deposit methods or List withdrawal methods. The method must support fee quotes.
Positive gross amount to quote, including the fee, represented as a string to preserve precision.
1 - 64^[0-9]+(\.[0-9]+)?$Response
Fee quote created for the selected account, method, and gross amount.
Funding fee quote created for the selected account.
Fee quote for the requested method and gross amount.
Show child attributes
Show child attributes